Name:           ocaml-lablgtk2
Version:        2.18.3
Release:        %mkrel 1
Summary:        OCaml interface to the GIMP Tool Kit Version 2
Source0:        https://forge.ocamlcore.org/frs/download.php/1479/lablgtk-2.18.3.tar.xz
Patch0:         lablgtk-2.18.0-mga-fix-doc-generation.patch
URL:            http://lablgtk.forge.ocamlcore.org/
License:        LGPL with static compilation exception
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  gtk+2-devel
BuildRequires:  librsvg-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  gtkspell-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgtksourceview-1.0-devel
BuildRequires:  libgtksourceview2-2.0_0-devel
BuildRequires:  gtkglarea2-devel
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  mesaglu-devel
Requires:       gtk+2-devel
Requires:       librsvg-devel
Requires:       gnomeui2-devel
Requires:       gtkspell-devel
Requires:       libglade2-devel
Requires:       libgtksourceview-1.0-devel
Requires:       libgtksourceview2-2.0_0-devel
Requires:       gtkglarea2-devel
Requires:       mesaglu-devel

%global __ocaml_requires_opts -i GtkSourceView_types -i GtkSourceView2_types

%description
OCaml interface to the GIMP Tool Kit Version 2.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%package doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains the ocamldoc generated documentation for %{name},
and some examples.


%prep
%setup -q -n lablgtk-%{version}
%patch0 -p1

%build
%configure2_5x --with-gl
make world CC="gcc %ldflags"
make opt CC="gcc %ldflags"
make doc CAMLP4O="camlp4o -I %{_libdir}/ocaml/camlp4/Camlp4Parsers"


%install
export DESTDIR=%{buildroot}
export OCAMLPATH=%{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_DESTDIR="$OCAMLPATH"
install -d -m 755 $OCAMLPATH/stublibs
make install

rm -f %{buildroot}/%{_libdir}/ocaml/ld.conf

%files
%doc COPYING CHANGES README CHANGES.API LGPL
%{_bindir}/*
%dir %{_libdir}/ocaml/lablgtk2
%{_libdir}/ocaml/lablgtk2/META
%{_libdir}/ocaml/lablgtk2/*.cmi
%{_libdir}/ocaml/lablgtk2/*.cma
%{_libdir}/ocaml/lablgtk2/*.cmo
%{_libdir}/ocaml/lablgtk2/*.o
%{_libdir}/ocaml/stublibs/*

%files devel
%{_libdir}/ocaml/lablgtk2/*
%exclude %{_libdir}/ocaml/lablgtk2/META
%exclude %{_libdir}/ocaml/lablgtk2/*.cmi
%exclude %{_libdir}/ocaml/lablgtk2/*.cma
%exclude %{_libdir}/ocaml/lablgtk2/*.cmo
%exclude %{_libdir}/ocaml/lablgtk2/*.o

%files doc
%doc examples/
%doc doc/
%doc applications/


%changelog
* Sat Jun 02 2018 adrianomorselli <adrianomorselli> 2.18.3-1uplos2018
- update
